org.apache.ignite.internal.processors.securesession.os

## Class GridOsSecureSessionProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.securesession.os.GridOsSecureSessionProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor, GridSecureSessionProcessor

    public class GridOsSecureSessionProcessor
    extends GridProcessorAdapter
    implements GridSecureSessionProcessor

No-op implementation for `GridSecureSessionProcessor`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridOsSecureSessionProcessor(GridKernalContext ctx)`

### Method Summary

Methods
`boolean` `enabled()`
`byte[]` `updateSession(GridSecuritySubjectType subjType, UUID subjId, GridSecurityContext subjCtx, Object params)` Generates secure session token.
`GridSecureSession` `validateSession(GridSecuritySubjectType subjType, UUID subjId, byte[] tok, Object params)`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`addAttributes, assertParameter, collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, onKernalStart, onKernalStop, printMemoryStats, start, stop, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.GridProcessor

`addAttributes`

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, onKernalStart, onKernalStop, printMemoryStats, start, stop, validateNode`

### Constructor Detail

#### GridOsSecureSessionProcessor

    public GridOsSecureSessionProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### validateSession

    public GridSecureSession validateSession(GridSecuritySubjectType subjType,
                                    UUID subjId,
                                    @Nullable
                                    byte[] tok,
                                    @Nullable
                                    Object params)
                                      throws IgniteCheckedException

Specified by:
  `validateSession` in interface `GridSecureSessionProcessor`
Parameters:
  `subjType` - Subject type.
  `subjId` - Subject ID.
  `tok` - Token.
  `params` - Parameters.
Returns:
  Validated secure session or `null` if session is not valid.
Throws:
  `IgniteCheckedException` - If error occurred.

#### updateSession

    public byte[] updateSession(GridSecuritySubjectType subjType,
                       UUID subjId,
                       GridSecurityContext subjCtx,
                       @Nullable
                       Object params)

Generates secure session token.

Specified by:
  `updateSession` in interface `GridSecureSessionProcessor`
Parameters:
  `subjType` - Subject type.
  `subjId` - Subject ID.
  `subjCtx` - Authentication subject context.
  `params` - Params.
Returns:
  Generated session token.

#### enabled

    public boolean enabled()

Specified by:
  `enabled` in interface `GridSecureSessionProcessor`
Returns:
  GridSecureSessionProcessor is enable.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015